/*
 * This file is part of mapper
 *
 * Copyright (C) 2007 Kaj-Michael Lang
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#include <config.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>
#include <stddef.h>
#include <locale.h>
#include <math.h>
#include <glib/gstdio.h>

#include "path.h"
#include "utils.h"
#include "mapper-types.h"

void 
sound_noise(void)
{
#ifdef WITH_HILDON
hildon_play_system_sound("/usr/share/sounds/ui-information_note.wav");
#else
gdk_beep();
#endif
}

void
keep_display_on(MapperApp *app)
{
g_return_if_fail(app);

#ifdef WITH_OSSO
maemo_osso_keep_display_on(app);
#else
/* XXX: Inhibit screensaver desktops */
#endif
}
